Difference between revisions of "PKI Packages"

From Dogtag
Jump to: navigation, search
(Dogtag 9.0)
m
(23 intermediate revisions by one other user not shown)
Line 1: Line 1:
== PKI Component Packages ==
+
= PKI Component Packages =
  
=== Dogtag 9.0 ===
+
== Dogtag 9.0 ==
  
 
The following table lists all PKI component packages with a brief description of their purpose along with their Fedora build and runtime dependencies:
 
The following table lists all PKI component packages with a brief description of their purpose along with their Fedora build and runtime dependencies:
Line 7: Line 7:
 
<table border=1>
 
<table border=1>
 
<tr>
 
<tr>
<th width="20%" bgcolor="darkgrey">PKI Component</th>
+
<th width="20%" bgcolor="#5252bf"><b><font color="white">PKI Component</font></b></th>
<th width="40%" bgcolor="darkgrey">Description</th>
+
<th width="40%" bgcolor="#5252bf"><b><font color="white">Description</font></b></th>
<th width="20%" bgcolor="darkgrey">Fedora Build Dependencies</th>
+
<th width="20%" bgcolor="#5252bf"><b><font color="white">Fedora Build Dependencies</font></b></th>
<th width="20%" bgcolor="darkgrey">Fedora Runtime Dependencies</th>
+
<th width="20%" bgcolor="#5252bf"><b><font color="white">Fedora Runtime Dependencies</font></b></th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
<th bgcolor="lightgreen" colspan=4>'osutil' (ssh://git.fedorahosted.org/git/osutil.git) -- now considered to be an external PKI component like 'tomcatjss'</th>
+
<th bgcolor="darkgrey" colspan=4>'dogtag-pki-theme' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
</tr>
 
<tr>
 
<th valign="top">
 
osutil
 
</th>
 
<td valign="top">
 
A Java Native Interface (JNI) library composed of operating system utilities - PKI subsystems only utilize the various Base64 and getpid() functions
 
</td>
 
<td valign="top">
 
cmake,<br>
 
java-devel >= 1:1.6.0,<br>
 
jpackage-utils,<br>
 
nspr-devel,<br>
 
nss-devel,<br>
 
pkgconfig
 
</td>
 
<td valign="top">
 
java >= 1:1.6.0,<br>
 
jpackage-utils,<br>
 
nss
 
</td>
 
</tr>
 
<tr>
 
<th valign="top">
 
osutil-debuginfo
 
</th>
 
<td valign="top">
 
'osutil' subpackage for debugging.
 
</td>
 
<td valign="top">&nbsp;</td>
 
<td valign="top">&nbsp;</td>
 
</tr>
 
<tr>
 
<th bgcolor="lightgreen" colspan=4>'dogtag-pki-theme' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
 
</tr>
 
</tr>
 
<tr>
 
<tr>
Line 68: Line 34:
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>ipa-pki-common-theme <= 9999</td>
 
<td>ipa-pki-common-theme <= 9999</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-common-theme = %{version}-%{release}</td>
 
<td>ipa-pki-common-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-common-ui <= 9</td>
 
<td>dogtag-pki-common-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-common-theme = %{version}-%{release}</td>
 
<td>pki-common-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-common-ui = %{version}-%{release}</td>
 
<td>pki-common-ui = %{version}-%{release}</td>
Line 118: Line 84:
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-ca-theme = %{version}-%{release}</td>
 
<td>ipa-pki-ca-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-ca-ui <= 9</td>
 
<td>dogtag-pki-ca-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-ca-theme = %{version}-%{release}</td>
 
<td>pki-ca-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-ca-ui = %{version}-%{release}</td>
 
<td>pki-ca-ui = %{version}-%{release}</td>
Line 160: Line 126:
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>ipa-pki-kra-theme <= 9999</td>
 
<td>ipa-pki-kra-theme <= 9999</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-kra-theme = %{version}-%{release}</td>
 
<td>ipa-pki-kra-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-kra-ui <= 9</td>
 
<td>dogtag-pki-kra-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-kra-theme = %{version}-%{release}</td>
 
<td>pki-kra-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-kra-ui = %{version}-%{release}</td>
 
<td>pki-kra-ui = %{version}-%{release}</td>
Line 206: Line 172:
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>ipa-pki-ocsp-theme <= 9999</td>
 
<td>ipa-pki-ocsp-theme <= 9999</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-ocsp-theme = %{version}-%{release}</td>
 
<td>ipa-pki-ocsp-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-ocsp-ui <= 9</td>
 
<td>dogtag-pki-ocsp-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-ocsp-theme = %{version}-%{release}</td>
 
<td>pki-ocsp-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-ocsp-ui = %{version}-%{release}</td>
 
<td>pki-ocsp-ui = %{version}-%{release}</td>
Line 252: Line 218:
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>ipa-pki-ra-theme <= 9999</td>
 
<td>ipa-pki-ra-theme <= 9999</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-ra-theme = %{version}-%{release}</td>
 
<td>ipa-pki-ra-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-ra-ui <= 9</td>
 
<td>dogtag-pki-ra-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-ra-theme = %{version}-%{release}</td>
 
<td>pki-ra-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-ra-ui = %{version}-%{release}</td>
 
<td>pki-ra-ui = %{version}-%{release}</td>
Line 298: Line 264:
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>ipa-pki-tks-theme <= 9999</td>
 
<td>ipa-pki-tks-theme <= 9999</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-tks-theme = %{version}-%{release}</td>
 
<td>ipa-pki-tks-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-tks-ui <= 9</td>
 
<td>dogtag-pki-tks-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-tks-theme = %{version}-%{release}</td>
 
<td>pki-tks-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-tks-ui = %{version}-%{release}</td>
 
<td>pki-tks-ui = %{version}-%{release}</td>
Line 344: Line 310:
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>ipa-pki-tps-theme <= 9999</td>
 
<td>ipa-pki-tps-theme <= 9999</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-tps-theme = %{version}-%{release}</td>
 
<td>ipa-pki-tps-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-tps-ui <= 9</td>
 
<td>dogtag-pki-tps-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-tps-theme = %{version}-%{release}</td>
 
<td>pki-tps-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-tps-ui = %{version}-%{release}</td>
 
<td>pki-tps-ui = %{version}-%{release}</td>
Line 390: Line 356:
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>ipa-pki-console-theme <= 9999</td>
 
<td>ipa-pki-console-theme <= 9999</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>ipa-pki-console-theme = %{version}-%{release}</td>
 
<td>ipa-pki-console-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>Obsoletes:&nbsp;&nbsp;</td>
 
<td>dogtag-pki-console-ui <= 9</td>
 
<td>dogtag-pki-console-ui <= 9</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-console-theme = %{version}-%{release}</td>
 
<td>pki-console-theme = %{version}-%{release}</td>
 +
</tr>
 
<tr>
 
<tr>
</tr>
 
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>Provides:&nbsp;&nbsp;</td>
 
<td>pki-console-ui = %{version}-%{release}</td>
 
<td>pki-console-ui = %{version}-%{release}</td>
Line 420: Line 386:
 
</tr>
 
</tr>
 
<tr>
 
<tr>
<th bgcolor="lightgreen" colspan=4>pki-core (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
+
<th bgcolor="darkgrey" colspan=4>'pki-core' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
Line 490: Line 456:
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Various stand-alone PKI tools created from C, C++, Perl, bash, etc.  See [[PKI Native Tools]] for more information.
+
Various stand-alone PKI tools created from C, C++, Perl, bash, etc.  See [[PKI Tools]] for more information.
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
Line 564: Line 530:
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Various PKI tools created as stand-alone Java applications.  See [[PKI Java Tools]] for more information.
+
Various PKI tools created as stand-alone Java applications.  See [[PKI Tools]] for more information.
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
Line 777: Line 743:
 
</tr>
 
</tr>
 
<tr>
 
<tr>
<th bgcolor="lightgreen" colspan=4>pki-kra (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
+
<th bgcolor="darkgrey" colspan=4>'pki-kra' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
</tr>
 
</tr>
 
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
 
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
Line 789: Line 753:
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
ant,<br>
+
cmake,<br>
 
java-devel >= 1:1.6.0,<br>
 
java-devel >= 1:1.6.0,<br>
 
jpackage-utils,<br>
 
jpackage-utils,<br>
jss >= 4.2.6,<br>
+
jss >= 4.2.6-17,<br>
 +
nspr-devel,<br>
 +
nss-devel,<br>
 
pki-common,<br>
 
pki-common,<br>
pki-util,<br>
+
pki-util
tomcatjss
 
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
 
java >= 1:1.6.0,<br>
 
java >= 1:1.6.0,<br>
 
pki-common,<br>
 
pki-common,<br>
pki-console,<br>
+
pki-kra-theme,<br>
pki-kra-ui,<br>
 
 
pki-selinux,<br>
 
pki-selinux,<br>
pki-silent,<br>
+
initscripts<br>
(post):chkconfig,<br>
+
<table>
(preun):chkconfig,<br>
+
<tr>
(preun):initscripts,<br>
+
<td>Requires(post):&nbsp;&nbsp;</td>
(postun):initscripts
+
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(postun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
</table>
 
</td>
 
</td>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'pki-ocsp' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
Line 818: Line 799:
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
ant,<br>
+
cmake,<br>
 
java-devel >= 1:1.6.0,<br>
 
java-devel >= 1:1.6.0,<br>
 
jpackage-utils,<br>
 
jpackage-utils,<br>
jss >= 4.2.6,<br>
+
jss >= 4.2.6-17,<br>
 +
nspr-devel,<br>
 +
nss-devel,<br>
 
pki-common,<br>
 
pki-common,<br>
pki-util,<br>
+
pki-util
tomcatjss
 
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
 
java >= 1:1.6.0,<br>
 
java >= 1:1.6.0,<br>
 
pki-common,<br>
 
pki-common,<br>
pki-console,<br>
+
pki-ocsp-theme,<br>
pki-ocsp-ui,<br>
 
 
pki-selinux,<br>
 
pki-selinux,<br>
pki-silent,<br>
+
initscripts<br>
(post):chkconfig,<br>
+
<table>
(preun):chkconfig,<br>
+
<tr>
(preun):initscripts,<br>
+
<td>Requires(post):&nbsp;&nbsp;</td>
(postun):initscripts
+
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(postun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
</table>
 
</td>
 
</td>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'pki-ra' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
pki-tks
+
pki-ra
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Token Key Service for Smartcards
+
Registration Authority
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
ant,<br>
+
cmake,<br>
java-devel >= 1:1.6.0,<br>
+
nspr-devel,<br>
jpackage-utils,<br>
+
nss-devel
jss >= 4.2.6,<br>
 
pki-common,<br>
 
pki-util,<br>
 
tomcatjss
 
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
java >= 1:1.6.0,<br>
+
mod_nss >= 1.0.8,<br>
pki-tks-ui,<br>
+
mod_perl >= 1.99_16,<br>
pki-common,<br>
+
mod_revocator >= 1.0.3,<br>
pki-console,<br>
+
pki-native-tools,<br>
 +
pki-ra-theme,<br>
 
pki-selinux,<br>
 
pki-selinux,<br>
pki-silent,<br>
+
pki-setup,<br>
(post):chkconfig,<br>
+
perl-DBD-SQLite,<br>
(preun):chkconfig,<br>
+
sqlite,<br>
(preun):initscripts,<br>
+
/usr/sbin/sendmail,<br>
(postun):initscripts
+
initscripts<br>
 +
<table>
 +
<tr>
 +
<td>Requires(post):&nbsp;&nbsp;</td>
 +
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(postun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
</table>
 
</td>
 
</td>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'pki-tks' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
pki-ra
+
pki-tks
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Registration Authority
+
Token Key Service for Smartcards
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
ant
+
cmake,<br>
 +
java-devel >= 1:1.6.0,<br>
 +
jpackage-utils,<br>
 +
jss >= 4.2.6-17,<br>
 +
nspr-devel,<br>
 +
nss-devel,<br>
 +
pki-common,<br>
 +
pki-util
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
mod_nss >= 1.0.7,<br>
+
java >= 1:1.6.0,<br>
mod_perl >= 1.99_16,<br>
+
pki-common,<br>
mozldap >= 6.0.2,<br>
 
pki-native-tools,<br>
 
pki-ra-ui,<br>
 
 
pki-selinux,<br>
 
pki-selinux,<br>
pki-setup,<br>
+
pki-tks-theme,<br>
pki-silent,<br>
+
initscripts<br>
perl-DBD-SQLite,<br>
+
<table>
sendmail,<br>
+
<tr>
sqlite,<br>
+
<td>Requires(post):&nbsp;&nbsp;</td>
(post):chkconfig,<br>
+
<td>chkconfig</td>
(preun):chkconfig,<br>
+
</tr>
(preun):initscripts,<br>
+
<tr>
(postun):initscripts
+
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(postun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
</table>
 
</td>
 
</td>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'pki-tps' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
Line 904: Line 938:
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
 +
cmake,<br>
 
apr-devel,<br>
 
apr-devel,<br>
 
apr-util-devel,<br>
 
apr-util-devel,<br>
 
cyrus-sasl-devel,<br>
 
cyrus-sasl-devel,<br>
httpd-devel >= 2.2.3,<br>
+
httpd-devel,<br>
mozldap-devel,<br>
+
openldap-devel,<br>
nspr-devel >= 4.6.99,<br>
+
nspr-devel,<br>
nss-devel >= 3.12.3.99,<br>
+
nss-devel,<br>
 
pcre-devel,<br>
 
pcre-devel,<br>
 
svrcore-devel,<br>
 
svrcore-devel,<br>
Line 917: Line 952:
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
mod_nss >= 1.0.7,<br>
+
mod_nss,<br>
 
mod_perl,<br>
 
mod_perl,<br>
mozldap,<br>
+
mod_revocator,<br>
 +
openldap-clients,<br>
 +
perl-Mozilla-LDAP,<br>
 
pki-native-tools,<br>
 
pki-native-tools,<br>
 
pki-selinux,<br>
 
pki-selinux,<br>
 
pki-setup,<br>
 
pki-setup,<br>
pki-silent,<br>
+
pki-tps-theme,<br>
pki-tps-ui,<br>
+
initscripts<br>
(post):chkconfig,<br>
+
<table>
(preun):chkconfig,<br>
+
<tr>
(preun):initscripts,<br>
+
<td>Requires(post):&nbsp;&nbsp;</td>
(postun):initscripts
+
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>chkconfig</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(preun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
<tr>
 +
<td>Requires(postun):&nbsp;&nbsp;</td>
 +
<td>initscripts</td>
 +
</tr>
 +
</table>
 
</td>
 
</td>
 
</tr>
 
</tr>
Line 940: Line 991:
 
<td valign="top">&nbsp;</td>
 
<td valign="top">&nbsp;</td>
 
<td valign="top">&nbsp;</td>
 
<td valign="top">&nbsp;</td>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'pki-console' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 +
</tr>
 +
<tr>
 +
<th valign="top">
 +
pki-console
 +
</th>
 +
<td valign="top">
 +
PKI console for management of the CA, DRM, OCSP, and TKS subsystems
 +
</td>
 +
<td valign="top">
 +
cmake,<br>
 +
idm-console-framework,<br>
 +
java-devel >= 1:1.6.0,<br>
 +
jpackage-utils,<br>
 +
jss >= 4.2.6-17,<br>
 +
ldapjdk,<br>
 +
nspr-devel,<br>
 +
nss-devel,<br>
 +
pki-util
 +
</td>
 +
<td valign="top">
 +
idm-console-framework,<br>
 +
java >= 1:1.6.0,<br>
 +
jss >= 4.2.6-17,<br>
 +
ldapjdk,<br>
 +
pki-console-theme
 +
</td>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'dogtag-pki' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
pki-tps-devel
+
dogtag-pki
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Symlinks to the {flavor} Certificate System Token Processing System library files required to link executables.
+
Meta package used for convenient installation of all 'dogtag-pki' "flavored" services:<br>
 +
<ul>
 +
<table>
 +
<tr>
 +
<td>Obsoletes:&nbsp;&nbsp;</td>
 +
<td>ipa-pki</td>
 +
</tr>
 +
<tr>
 +
<td>Conflicts:&nbsp;&nbsp;</td>
 +
<td> redhat-pki</td>
 +
</tr>
 +
</table>
 +
</ul>
 
</td>
 
</td>
 
<td valign="top">&nbsp;</td>
 
<td valign="top">&nbsp;</td>
<td valign="top">%{name} = %{version}-%{release}</td>
+
<td valign="top">
 +
jss >= 4.2.6-17,<br>
 +
osutil >= 2.0.1,<br>
 +
tomcatjss >= 6.0.0,<br>
 +
jss-javadoc >= 4.2.6-17,<br>
 +
dogtag-pki-ca-theme >= 9.0.0,<br>
 +
dogtag-pki-common-theme >= 9.0.0,<br>
 +
dogtag-pki-console-theme >= 9.0.0,<br>
 +
dogtag-pki-kra-theme >= 9.0.0,<br>
 +
dogtag-pki-ocsp-theme >= 9.0.0,<br>
 +
dogtag-pki-ra-theme >= 9.0.0,<br>
 +
dogtag-pki-tks-theme >= 9.0.0,<br>
 +
dogtag-pki-tps-theme >= 9.0.0,<br>
 +
pki-ca >= 9.0.0,<br>
 +
pki-common >= 9.0.0,<br>
 +
pki-java-tools >= 9.0.0,<br>
 +
pki-native-tools >= 9.0.0,<br>
 +
pki-selinux >= 9.0.0,<br>
 +
pki-setup >= 9.0.0,<br>
 +
pki-silent >= 9.0.0,<br>
 +
pki-symkey >= 9.0.0,<br>
 +
pki-util >= 9.0.0,<br>
 +
pki-common-javadoc >= 9.0.0,<br>
 +
pki-java-tools-javadoc >= 9.0.0,<br>
 +
pki-util-javadoc >= 9.0.0,<br>
 +
pki-kra >= 9.0.0,<br>
 +
pki-ocsp >= 9.0.0,<br>
 +
pki-ra >= 9.0.0,<br>
 +
pki-tks >= 9.0.0,<br>
 +
pki-tps >= 9.0.0,<br>
 +
pki-console >= 9.0.0,<br>
 +
esc >= 1.1.0
 +
</td>
 +
</tr>
 +
</table>
 +
 
 +
 
 +
 
 +
The following table lists the PKI "support" component packages which are separately managed by various members of the PKI team with a brief description of their purpose along with their Fedora build and runtime dependencies:
 +
 
 +
<table border=1>
 +
<tr>
 +
<th width="20%" bgcolor="#5252bf"><b><font color="white">PKI Support Component</font></b></th>
 +
<th width="40%" bgcolor="#5252bf"><b><font color="white">Description</font></b></th>
 +
<th width="20%" bgcolor="#5252bf"><b><font color="white">Fedora Build Dependencies</font></b></th>
 +
<th width="20%" bgcolor="#5252bf"><b><font color="white">Fedora Runtime Dependencies</font></b></th>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'osutil' (ssh://git.fedorahosted.org/git/osutil.git)</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
{flavor}-pki
+
osutil
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Meta package used for convenient installation of all '{flavor}-pki' services.
+
A Java Native Interface (JNI) library composed of operating system utilities - PKI subsystems only utilize the various Base64 and getpid() functions
 +
</td>
 +
<td valign="top">
 +
cmake,<br>
 +
java-devel >= 1:1.6.0,<br>
 +
jpackage-utils,<br>
 +
nspr-devel,<br>
 +
nss-devel,<br>
 +
pkgconfig
 
</td>
 
</td>
<td valign="top">&nbsp;</td>
 
 
<td valign="top">
 
<td valign="top">
{flavor}-pki-common-ui,<br>
+
java >= 1:1.6.0,<br>
{flavor}-pki-console-ui,<br>
+
jpackage-utils,<br>
{flavor}-pki-ca-ui,<br>
+
nss
{flavor}-pki-kra-ui,<br>
 
{flavor}-pki-ocsp-ui,<br>
 
{flavor}-pki-ra-ui,<br>
 
{flavor}-pki-tks-ui,<br>
 
{flavor}-pki-tps-ui,<br>
 
pki-ca,<br>
 
pki-kra,<br>
 
pki-ocsp,<br>
 
pki-ra,<br>
 
pki-tks,<br>
 
pki-tps,<br>
 
esc,<br>
 
pki-common-javadoc,<br>
 
pki-java-tools-javadoc,<br>
 
pki-util-javadoc
 
 
</td>
 
</td>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
pki-console
+
osutil-debuginfo
 +
</th>
 +
<td valign="top">
 +
'osutil' subpackage for debugging.
 +
</td>
 +
<td valign="top">&nbsp;</td>
 +
<td valign="top">&nbsp;</td>
 +
</tr>
 +
<tr>
 +
<th bgcolor="darkgrey" colspan=4>'tomcatjss' (svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk/tomcatjss)</th>
 +
</tr>
 +
<tr>
 +
<th valign="top">
 +
tomcatjss
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
PKI console for management of the CA, DRM, OCSP, and TKS subsystems
+
A Java Secure Socket Extension (JSSE) implementation using Java Security Services (JSS) for Tomcat 6.<br>
 +
<ul>
 +
<table>
 +
<tr>
 +
<td>Conflicts:&nbsp;&nbsp;</td>
 +
<td>tomcat-native</td>
 +
</tr>
 +
</table>
 +
</ul>
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
 
ant,<br>
 
ant,<br>
idm-console-framework,<br>
 
 
java-devel >= 1:1.6.0,<br>
 
java-devel >= 1:1.6.0,<br>
 
jpackage-utils,<br>
 
jpackage-utils,<br>
jss >= 4.2.6,<br>
+
tomcat6 >= 6.0.30-6,<br>
ldapjdk,<br>
+
jss >= 4.2.6-17
pki-util
 
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
idm-console-framework,<br>
 
 
java >= 1:1.6.0,<br>
 
java >= 1:1.6.0,<br>
jss >= 4.2.6,<br>
+
jpackage-utils,<br>
ldapjdk,<br>
+
tomcat6 >= 6.0.30-6,<br>
pki-console-ui
+
jss >= 4.2.6-17
 
</td>
 
</td>
 
</tr>
 
</tr>
 
</table>
 
</table>
  
=== Dogtag 1.3 and Earlier ===
+
== Dogtag 1.3 and Earlier ==
  
 
'''IMPORTANT:'''  For ALL of the following components, "{flavor}" equals "dogtag"!
 
'''IMPORTANT:'''  For ALL of the following components, "{flavor}" equals "dogtag"!
Line 1,095: Line 1,248:
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Various stand-alone PKI tools created from C, C++, Perl, bash, etc.  See [[PKI Native Tools]] for more information.
+
Various stand-alone PKI tools created from C, C++, Perl, bash, etc.  See [[PKI Tools]] for more information.
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
Line 1,175: Line 1,328:
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Various PKI tools created as stand-alone Java applications.  See [[PKI Java Tools]] for more information.
+
Various PKI tools created as stand-alone Java applications.  See [[PKI Tools]] for more information.
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">

Revision as of 02:32, 10 April 2019

PKI Component Packages

Dogtag 9.0

The following table lists all PKI component packages with a brief description of their purpose along with their Fedora build and runtime dependencies:

PKI Component Description Fedora Build Dependencies Fedora Runtime Dependencies
'dogtag-pki-theme' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

dogtag-pki-common-theme

User interface "flavor" for pki-common component:

    Conflicts:   redhat-pki-common-theme
    Conflicts:   redhat-pki-common-ui
    Obsoletes:   ipa-pki-common-theme <= 9999
    Provides:   ipa-pki-common-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-common-ui <= 9
    Provides:   pki-common-theme = %{version}-%{release}
    Provides:   pki-common-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

 

dogtag-pki-ca-theme

User interface "flavor" for pki-ca component:

    </tr>

    Conflicts:   redhat-pki-ca-theme
    Conflicts:   redhat-pki-ca-ui
    Obsoletes:   ipa-pki-ca-theme <= 9999
    Provides:   ipa-pki-ca-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-ca-ui <= 9
    Provides:   pki-ca-theme = %{version}-%{release}
    Provides:   pki-ca-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

dogtag-pki-common-theme = %{version}-%{release}

dogtag-pki-kra-theme

User interface "flavor" for pki-kra component:

    Conflicts:   redhat-pki-kra-theme
    Conflicts:   redhat-pki-kra-ui
    Obsoletes:   ipa-pki-kra-theme <= 9999
    Provides:   ipa-pki-kra-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-kra-ui <= 9
    Provides:   pki-kra-theme = %{version}-%{release}
    Provides:   pki-kra-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

dogtag-pki-common-theme = %{version}-%{release}

dogtag-pki-ocsp-theme

User interface "flavor" for pki-ocsp component:

    Conflicts:   redhat-pki-ocsp-theme
    Conflicts:   redhat-pki-ocsp-ui
    Obsoletes:   ipa-pki-ocsp-theme <= 9999
    Provides:   ipa-pki-ocsp-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-ocsp-ui <= 9
    Provides:   pki-ocsp-theme = %{version}-%{release}
    Provides:   pki-ocsp-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

dogtag-pki-common-theme = %{version}-%{release}

dogtag-pki-ra-theme

User interface "flavor" for ra component:

    Conflicts:   redhat-pki-ra-theme
    Conflicts:   redhat-pki-ra-ui
    Obsoletes:   ipa-pki-ra-theme <= 9999
    Provides:   ipa-pki-ra-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-ra-ui <= 9
    Provides:   pki-ra-theme = %{version}-%{release}
    Provides:   pki-ra-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

 

dogtag-pki-tks-theme

User interface "flavor" for pki-tks component:

    Conflicts:   redhat-pki-tks-theme
    Conflicts:   redhat-pki-tks-ui
    Obsoletes:   ipa-pki-tks-theme <= 9999
    Provides:   ipa-pki-tks-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-tks-ui <= 9
    Provides:   pki-tks-theme = %{version}-%{release}
    Provides:   pki-tks-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

dogtag-pki-common-theme = %{version}-%{release}

dogtag-pki-tps-theme

User interface "flavor" for pki-tps component:

    Conflicts:   redhat-pki-tps-theme
    Conflicts:   redhat-pki-tps-ui
    Obsoletes:   ipa-pki-tps-theme <= 9999
    Provides:   ipa-pki-tps-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-tps-ui <= 9
    Provides:   pki-tps-theme = %{version}-%{release}
    Provides:   pki-tps-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

 

dogtag-pki-console-theme

User interface "flavor" for pki-console component:

    Conflicts:   redhat-pki-console-theme
    Conflicts:   redhat-pki-console-ui
    Obsoletes:   ipa-pki-console-theme <= 9999
    Provides:   ipa-pki-console-theme = %{version}-%{release}
    Obsoletes:   dogtag-pki-console-ui <= 9
    Provides:   pki-console-theme = %{version}-%{release}
    Provides:   pki-console-ui = %{version}-%{release}

cmake,
java-devel > = 1:1.6.0,
jpackage-utils

java >= 1:1.6.0

'pki-core' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

pki-setup

Perl scripts intended for management of CA, DRM, OCSP, RA, TKS, and TPS subsystem instances

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

perl-Crypt-SSLeay,
policycoreutils,
openldap-clients

pki-symkey

A Java Native Interface (JNI) library composed of symmetric key functions

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

java >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
nss

pki-native-tools

Various stand-alone PKI tools created from C, C++, Perl, bash, etc. See PKI Tools for more information.

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

openldap-clients,
nss,
nss-tools

pki-util

Low-level PKI utilities

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

java >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
osutil

pki-util-javadoc

'pki-util' Javadocs.

  pki-util = %{version}-%{release}

pki-java-tools

Various PKI tools created as stand-alone Java applications. See PKI Tools for more information.

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

java >= 1:1.6.0,
pki-native-tools = %{version}-%{release},
pki-util = %{version}-%{release}

pki-java-tools-javadoc

'pki-java-tools' Javadocs.

  pki-java-doc = %{version}-%{release}

pki-common

Common PKI functions shared by the CA, DRM, OCSP, and TKS subsystems

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

apache-commons-lang,
apache-commons-logging,
java >= 1:1.6.0,
jss >= 4.2.6-17,
pki-common-theme >= 9.0.0,
pki-java-tools = %{version}-%{release},
pki-setup = %{version}-%{release},
pki-symkey = %{version}-%{release},
tomcatjss >= 6.0.0,
%{_javadir}/ldapjdk.jar,
%{_javadir}/velocity.jar,
%{_javadir}/xalan-j2.jar,
%{_javadir}/xalan-j2-serializer.jar,
%{_javadir}/xerces-j2.jar,
%{_javadir}/xml-commons-apis.jar,
%{_javadir}/xml-commons-resolver.jar,
velocity

pki-common-javadoc

'pki-common' Javadocs.

  pki-common = %{version}-%{release}

pki-selinux

Selinux policies used by the PKI components.

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

policycoreutils,
selinux-policy-targeted

pki-ca

Certificate Authority

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

java >= 1:1.6.0,
pki-ca-theme >= 9.0.0,
pki-common = %{version}-%{release},
pki-selinux = %{version}-%{release},
initscripts

Requires(post):   chkconfig
Requires(preun):   chkconfig
Requires(preun):   initscripts
Requires(postun):   initscripts

pki-silent

Java utility used for batch configuration of CA, DRM, OCSP, TKS, RA, and TPS subsystem instances

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
openldap-devel,
osutil,
pkgconfig,
policycoreutils,
selinux-policy-devel,
tomcatjss >= 6.0.0,
velocity,
xalan-j2,
xerces-j2

java >= 1:1.6.0,
pki-common = %{version}-%{release}

pki-core-debuginfo

'pki-core' subpackage for debugging containing symbols for 'pki-symkey' and 'pki-native-tools'

   
'pki-kra' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

pki-kra

Data Recovery Manager

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
nspr-devel,
nss-devel,
pki-common,
pki-util

java >= 1:1.6.0,
pki-common,
pki-kra-theme,
pki-selinux,
initscripts

Requires(post):   chkconfig
Requires(preun):   chkconfig
Requires(preun):   initscripts
Requires(postun):   initscripts
'pki-ocsp' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

pki-ocsp

Online Certificate Status Protocol Manager

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
nspr-devel,
nss-devel,
pki-common,
pki-util

java >= 1:1.6.0,
pki-common,
pki-ocsp-theme,
pki-selinux,
initscripts

Requires(post):   chkconfig
Requires(preun):   chkconfig
Requires(preun):   initscripts
Requires(postun):   initscripts
'pki-ra' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

pki-ra

Registration Authority

cmake,
nspr-devel,
nss-devel

mod_nss >= 1.0.8,
mod_perl >= 1.99_16,
mod_revocator >= 1.0.3,
pki-native-tools,
pki-ra-theme,
pki-selinux,
pki-setup,
perl-DBD-SQLite,
sqlite,
/usr/sbin/sendmail,
initscripts

Requires(post):   chkconfig
Requires(preun):   chkconfig
Requires(preun):   initscripts
Requires(postun):   initscripts
'pki-tks' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

pki-tks

Token Key Service for Smartcards

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
nspr-devel,
nss-devel,
pki-common,
pki-util

java >= 1:1.6.0,
pki-common,
pki-selinux,
pki-tks-theme,
initscripts

Requires(post):   chkconfig
Requires(preun):   chkconfig
Requires(preun):   initscripts
Requires(postun):   initscripts
'pki-tps' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

pki-tps

Token Processing System for Smartcards

cmake,
apr-devel,
apr-util-devel,
cyrus-sasl-devel,
httpd-devel,
openldap-devel,
nspr-devel,
nss-devel,
pcre-devel,
svrcore-devel,
zlib,
zlib-devel

mod_nss,
mod_perl,
mod_revocator,
openldap-clients,
perl-Mozilla-LDAP,
pki-native-tools,
pki-selinux,
pki-setup,
pki-tps-theme,
initscripts

Requires(post):   chkconfig
Requires(preun):   chkconfig
Requires(preun):   initscripts
Requires(postun):   initscripts

pki-tps-debuginfo

'pki-tps' subpackage for debugging.

   
'pki-console' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

pki-console

PKI console for management of the CA, DRM, OCSP, and TKS subsystems

cmake,
idm-console-framework,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6-17,
ldapjdk,
nspr-devel,
nss-devel,
pki-util

idm-console-framework,
java >= 1:1.6.0,
jss >= 4.2.6-17,
ldapjdk,
pki-console-theme

'dogtag-pki' (svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki)

dogtag-pki

Meta package used for convenient installation of all 'dogtag-pki' "flavored" services:

    Obsoletes:   ipa-pki
    Conflicts:   redhat-pki
 

jss >= 4.2.6-17,
osutil >= 2.0.1,
tomcatjss >= 6.0.0,
jss-javadoc >= 4.2.6-17,
dogtag-pki-ca-theme >= 9.0.0,
dogtag-pki-common-theme >= 9.0.0,
dogtag-pki-console-theme >= 9.0.0,
dogtag-pki-kra-theme >= 9.0.0,
dogtag-pki-ocsp-theme >= 9.0.0,
dogtag-pki-ra-theme >= 9.0.0,
dogtag-pki-tks-theme >= 9.0.0,
dogtag-pki-tps-theme >= 9.0.0,
pki-ca >= 9.0.0,
pki-common >= 9.0.0,
pki-java-tools >= 9.0.0,
pki-native-tools >= 9.0.0,
pki-selinux >= 9.0.0,
pki-setup >= 9.0.0,
pki-silent >= 9.0.0,
pki-symkey >= 9.0.0,
pki-util >= 9.0.0,
pki-common-javadoc >= 9.0.0,
pki-java-tools-javadoc >= 9.0.0,
pki-util-javadoc >= 9.0.0,
pki-kra >= 9.0.0,
pki-ocsp >= 9.0.0,
pki-ra >= 9.0.0,
pki-tks >= 9.0.0,
pki-tps >= 9.0.0,
pki-console >= 9.0.0,
esc >= 1.1.0


The following table lists the PKI "support" component packages which are separately managed by various members of the PKI team with a brief description of their purpose along with their Fedora build and runtime dependencies:

PKI Support Component Description Fedora Build Dependencies Fedora Runtime Dependencies
'osutil' (ssh://git.fedorahosted.org/git/osutil.git)

osutil

A Java Native Interface (JNI) library composed of operating system utilities - PKI subsystems only utilize the various Base64 and getpid() functions

cmake,
java-devel >= 1:1.6.0,
jpackage-utils,
nspr-devel,
nss-devel,
pkgconfig

java >= 1:1.6.0,
jpackage-utils,
nss

osutil-debuginfo

'osutil' subpackage for debugging.

   
'tomcatjss' (svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk/tomcatjss)

tomcatjss

A Java Secure Socket Extension (JSSE) implementation using Java Security Services (JSS) for Tomcat 6.

    Conflicts:   tomcat-native

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
tomcat6 >= 6.0.30-6,
jss >= 4.2.6-17

java >= 1:1.6.0,
jpackage-utils,
tomcat6 >= 6.0.30-6,
jss >= 4.2.6-17

Dogtag 1.3 and Earlier

IMPORTANT: For ALL of the following components, "{flavor}" equals "dogtag"!

The following table lists all PKI component packages with a brief description of their purpose along with their Fedora/EPEL build and runtime dependencies:

PKI Component Description Fedora/EPEL Build Dependencies Fedora/EPEL Runtime Dependencies

osutil

A Java Native Interface (JNI) library composed of operating system utilities - PKI subsystems only utilize the various Base64 and getpid() functions

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
nspr-devel >= 4.6.99,
nss-devel >= 3.12.3.99,
pkgconfig

java >= 1:1.6.0,
jpackage-utils,
nss >= 3.12.3.99

osutil-debuginfo

'osutil' subpackage for debugging.

   

pki-symkey

A Java Native Interface (JNI) library composed of symmetric key functions

NOTE:   Prior to Dogtag 1.3, the 'pki-symkey' RPM was simply called 'symkey' and contained no subpackages!

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
nspr-devel >= 4.6.99,
nss-devel >= 3.12.3.99,
pkgconfig

java >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
nss >= 3.12.3.99

pki-symkey-debuginfo

'pki-symkey' subpackage for debugging.

   

pki-native-tools

Various stand-alone PKI tools created from C, C++, Perl, bash, etc. See PKI Tools for more information.

cyrus-sasl-devel,
mozldap-devel,
nspr-devel >= 4.6.99,
nss-devel >= 3.12.3.99,
svrcore-devel

mozldap-tools,
nss >= 3.12.3.99,
nss-tools >= 3.12.3.99

pki-native-tools-debug

'pki-native-tools' subpackage for debugging.

   

pki-util

Low-level PKI utilities

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk,
osutil,
xerces-j2

java >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk

pki-util-javadoc

'pki-util' Javadocs.

  %{name} = %{version}-%{release}

pki-setup

Perl scripts intended for management of CA, DRM, OCSP, RA, TKS, and TPS subsystem instances

ant

perl-Crypt-SSLeay,
policycoreutils,
%{?fc11:policycoreutils-python},
%{?fc12:policycoreutils-python}

pki-java-tools

Various PKI tools created as stand-alone Java applications. See PKI Tools for more information.

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
osutil,
pki-util

java >= 1:1.6.0,
pki-native-tools,
pki-util

pki-java-tools-javadoc

'pki-java-tools' Javadocs.

  %{name} = %{version}-%{release}

{flavor}-pki-common-ui

User interface "flavor" for pki-common component
Provides: pki-common-ui

ant

 

pki-common

Common PKI functions shared by the CA, DRM, OCSP, and TKS subsystems

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk,
osutil,
pki-symkey,
pki-util,
velocity,
xalan-j2

java >= 1:1.6.0,
jss >= 4.2.6,
osutil,
pki-common-ui,
pki-java-tools,
pki-setup,
pki-symkey,
tomcatjss,
%{_javadir}/ldapjdk.jar,
%{_javadir}/velocity.jar,
%{_javadir}/xalan-j2.jar,
%{_javadir}/xerces-j2.jar,
velocity

pki-common-javadoc

'pki-common' Javadocs.

  pki-common = %{version}-%{release}

{flavor}-pki-console-ui

User interface "flavor" for pki-console component
Provides: pki-console-ui

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk

java >= 1:1.6.0,
jss >= 4.2.6,
ldapjdk

pki-console

PKI console for management of the CA, DRM, OCSP, and TKS subsystems

ant,
idm-console-framework,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk,
pki-util

idm-console-framework,
java >= 1:1.6.0,
jss >= 4.2.6,
ldapjdk,
pki-console-ui

pki-selinux

Selinux policies used by the PKI components.

ant,
m4,
make,
policycoreutils,
selinux-policy-devel

policycoreutils,
selinux-policy-targeted

pki-silent

Java utility used for batch configuration of CA, DRM, OCSP, TKS, RA, and TPS subsystem instances

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
pki-common,
pki-util

java >= 1:1.6.0,
pki-common

{flavor}-pki-ca-ui

User interface "flavor" for pki-ca component
Provides: pki-ca-ui

ant

 

pki-ca

Certificate Authority

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
pki-common,
pki-util,
tomcatjss

java >= 1:1.6.0,
pki-ca-ui,
pki-common,
pki-console,
pki-selinux,
pki-silent,
(post):chkconfig,
(preun):chkconfig,
(preun):initscripts,
(postun):initscripts

{flavor}-pki-kra-ui

User interface "flavor" for pki-kra component
Provides: pki-kra-ui

ant

 

pki-kra

Data Recovery Manager

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
pki-common,
pki-util,
tomcatjss

java >= 1:1.6.0,
pki-common,
pki-console,
pki-kra-ui,
pki-selinux,
pki-silent,
(post):chkconfig,
(preun):chkconfig,
(preun):initscripts,
(postun):initscripts

{flavor}-pki-ocsp-ui

User interface "flavor" for pki-ocsp component
Provides: pki-ocsp-ui

ant

 

pki-ocsp

Online Certificate Status Protocol Manager

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
pki-common,
pki-util,
tomcatjss

java >= 1:1.6.0,
pki-common,
pki-console,
pki-ocsp-ui,
pki-selinux,
pki-silent,
(post):chkconfig,
(preun):chkconfig,
(preun):initscripts,
(postun):initscripts

{flavor}-pki-tks-ui

User interface "flavor" for pki-tks component
Provides: pki-tks-ui

ant

 

pki-tks

Token Key Service for Smartcards

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
pki-common,
pki-util,
tomcatjss

java >= 1:1.6.0,
pki-tks-ui,
pki-common,
pki-console,
pki-selinux,
pki-silent,
(post):chkconfig,
(preun):chkconfig,
(preun):initscripts,
(postun):initscripts

{flavor}-pki-ra-ui

User interface "flavor" for ra component
Provides: pki-ra-ui

ant

 

pki-ra

Registration Authority

ant

mod_nss >= 1.0.7,
mod_perl >= 1.99_16,
mozldap >= 6.0.2,
pki-native-tools,
pki-ra-ui,
pki-selinux,
pki-setup,
pki-silent,
perl-DBD-SQLite,
sendmail,
sqlite,
(post):chkconfig,
(preun):chkconfig,
(preun):initscripts,
(postun):initscripts

{flavor}-pki-tps-ui

User interface "flavor" for tps component
Provides: pki-tps-ui

ant

 

pki-tps

Token Processing System for Smartcards

apr-devel,
apr-util-devel,
cyrus-sasl-devel,
httpd-devel >= 2.2.3,
mozldap-devel,
nspr-devel >= 4.6.99,
nss-devel >= 3.12.3.99,
pcre-devel,
svrcore-devel,
zlib,
zlib-devel

mod_nss >= 1.0.7,
mod_perl,
mozldap,
pki-native-tools,
pki-selinux,
pki-setup,
pki-silent,
pki-tps-ui,
(post):chkconfig,
(preun):chkconfig,
(preun):initscripts,
(postun):initscripts

pki-tps-debuginfo

'pki-tps' subpackage for debugging.

   

pki-tps-devel

Symlinks to the {flavor} Certificate System Token Processing System library files required to link executables.

  %{name} = %{version}-%{release}

{flavor}-pki

Meta package used for convenient installation of all '{flavor}-pki' services.

 

{flavor}-pki-common-ui,
{flavor}-pki-console-ui,
{flavor}-pki-ca-ui,
{flavor}-pki-kra-ui,
{flavor}-pki-ocsp-ui,
{flavor}-pki-ra-ui,
{flavor}-pki-tks-ui,
{flavor}-pki-tps-ui,
pki-ca,
pki-kra,
pki-ocsp,
pki-ra,
pki-tks,
pki-tps,
esc,
pki-common-javadoc,
pki-java-tools-javadoc,
pki-util-javadoc

pki-manage

Perl scripts intended for management of CA, DRM, OCSP, RA, TKS, and TPS subsystems

NOTE:   As of Dogtag 1.3, the 'pki-manage' RPM has been 'discontinued' on Fedora/EPEL platforms in favor of 'yum' and 'yum-utils'!

ant

perl >= 5.8.0

pki-migrate

Pre-built applications created to migrate data between various versions of Certificate System

NOTE:   As of Dogtag 1.3, the 'pki-migrate' RPM has been 'discontinued'!

ant
java-devel >= 1:1.6.0
jpackage-utils

java >= 1:1.6.0